package SDON;

/**
 * An object representing a segmented line that links two shapes.
 */
public interface LineInterface<T extends LineInterface<T>> {
     
    /**
     * The pattern of the line connecting the shapes. A value from the
     * {@link LinePatterns} enum.
     * @param linePattern - Line pattern
     * @return T
     */
    public T SetLinePattern(String linePattern);
    
    /**
     * The thickness of the line in 1/100". Otherwise the thickness is the
     * default for the template.
     * @param lineThick - Line thickness
     * @return T
     */
    public T SetLineThickness(double lineThick);
    
    /**
     * Make the line color of the connector the specified RGB value or color
     * alias. Otherwise the color is the default for the template.
     * @param lineColor - Line color
     * @return T
     */
    public T SetLineColor(String lineColor);
    
 
}