/** Copyright (c) 2019 SmartDraw, LLC. All rights reserved.
// www.visualscript.com/licenses/sdk-license.htm
// Version: 0.1.0 */

package SDON.sdonbuilder;

import SDON.Document;
import SDON.GanttDocument;
import SDON.sdonbuilder.sdonserialize.*;

import com.google.gson.*;

public abstract class SDONBuilder {
    public static <T> String ToJSON(T diagram) {
        SDONSerializer serializer = new SDONSerializer();
        return serializer.SerializeObject(diagram);
    }

    public static  Document FromJSON(String json) {
        Gson serial = new Gson();
        return serial.fromJson(json, Document.class);
    }

    public static  GanttDocument GanttDocumentFromJSON(String json) {
        Gson serial = new Gson();
        return serial.fromJson(json, GanttDocument.class);
    }
}